Subject: Re: Deleting remote branches with git-branch and reflog questions

From: Andy Parkins <[email-masked]>
Date: Tue, 23 Jan 2007 13:14:52 +0000

On Tuesday 2007 January 23 13:02, Andreas Ericsson wrote:

> > Why does the reflog directory .git/logs need to store the refs/
> > directory? Aren't /all/ the refs under "refs/" these days?
>
> No. HEAD isn't, nor is ORIG_HEAD, and possibly others.

They're all special cases aren't they?  They are symrefs.  I don't think they 
are reflogged at all (they certainly don't appear in my .git/logs directory.

Perhaps I should rephrase... aren't /all/ the logged refs under "refs/" these 
days?

Andy

-- 
Dr Andy Parkins, M Eng (hons), MIEE
[email-masked]